You are Here:
Download Linux Lite 5.4 RC1 today - See Release Announcements



[ SOLVED ] WiFi Printer HP DeskJet 2540

Author (Read 5639 times)

0 Members and 1 Guest are viewing this topic.

WiFi Printer HP DeskJet 2540
« on: April 18, 2018, 12:15:18 PM »
 

r0th0m

  • New to Forums
  • *
  • 4
    Posts
  • Country: de
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit
Hello, everybody,

until 1 week ago I used Debian Jessie and have now switched to Linux Lite 3.8. so far I like what I see very well and almost everything works too.

Right now, however, I can't get my printer to work at all, which worked out fine with Debian Jessie.

I read the threads for the HP 2540 and also tried to use them, unfortunately without success.

I downloaded the current version of hplip from https://developers.hp.com/hp-linux-imaging-and-printing and tried (!!!!) to install it. Unfortunately, I always get a error message:

Code: [Select]
RUNNING PRE-INSTALL COMMANDS
----------------------------
OK


INSTALL MISSING REQUIRED DEPENDENCIES
-------------------------------------
warning: There are 1 missing REQUIRED dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: cups-image (CUPS image - CUPS image development files)


INSTALL MISSING OPTIONAL DEPENDENCIES
-------------------------------------
warning: There are 2 missing OPTIONAL dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing OPTIONAL dependency for option 'fax': reportlab (Reportlab - PDF library for Python)
warning: Missing REQUIRED dependency for option 'scan': sane-devel (SANE - Scanning library development files)
 

CHECKING FOR NETWORK CONNECTION
-------------------------------
Network connection present.


RUNNING PRE-PACKAGE COMMANDS
----------------------------
sudo dpkg --configure -a (Pre-depend step 1)
sudo apt-get install --yes --force-yes -f (Pre-depend step 2)
sudo apt-get update (Pre-depend step 3)
OK


DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
Running 'sudo apt-get install --assume-yes libcupsimage2-dev'
Please wait, this may take several minutes...
error: Command failed. Re-try #1...
Running 'sudo apt-get install --assume-yes libcupsimage2-dev'
Please wait, this may take several minutes...
error: Command failed. Re-try #2...
Running 'sudo apt-get install --assume-yes libcupsimage2-dev'
Please wait, this may take several minutes...
error: Command failed. Re-try #3...
Running 'sudo apt-get install --assume-yes libcupsimage2-dev'
Please wait, this may take several minutes...
error: Package install command failed with error code 100
Would you like to retry installing the missing package(s) (y=yes*, n=no, q=quit) ?

As soon as I try to install libcupsimage2-dev via Synaptic I get the error message of faulty dependencies.

Any hints? Tricks? Magic Spells?
Last Edit: April 19, 2018, 10:39:49 AM by r0th0m
 


Re: WiFi Printer HP DeskJet 2540
« Reply #1 on: April 18, 2018, 10:13:10 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7907
    Posts
  • Country: nz
  • Reputation: 744
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.2 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
 

Re: WiFi Printer HP DeskJet 2540
« Reply #2 on: April 19, 2018, 04:01:22 AM »
 

r0th0m

  • New to Forums
  • *
  • 4
    Posts
  • Country: de
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit
Hello Jerry,

thank you for your tip, but unfortunately it is the same as with the hplip-3-18.3: The libscupsimage2-dev package cannot be installed (same error message as above in my first posting). I don't know if it is a general problem that the package cannot be installed. The libscupsimage2-dev package cannot be installed via Synaptic either. Bug or feature?
 

Re: WiFi Printer HP DeskJet 2540
« Reply #3 on: April 19, 2018, 04:03:48 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7907
    Posts
  • Country: nz
  • Reputation: 744
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.2 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
You can try a different repo. That package is certainly available. https://packages.ubuntu.com/xenial/libcupsimage2-dev
 

Re: WiFi Printer HP DeskJet 2540
« Reply #4 on: April 19, 2018, 04:04:30 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7907
    Posts
  • Country: nz
  • Reputation: 744
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.2 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Have you run: sudo apt-get install -f yet?
 

Re: WiFi Printer HP DeskJet 2540
« Reply #5 on: April 19, 2018, 08:20:45 AM »
 

r0th0m

  • New to Forums
  • *
  • 4
    Posts
  • Country: de
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit
Jerry, this is the same package as it is in the package sources and Synaptic also shows it to me. Well, I downloaded it anyway and tried to install it: Installation failed. At the moment I cannot install the libcupsimage2-dev package via Synaptic or GDebi, nor via hplip-3-18.3 or hplip-3-17.4. I just installed a fresh Version of Linux Lite 3.8 this week, so my question was: bug or feature? Does installing libcupsimage2-dev work for you? I already get an error message when I mark the package (Install) in Synaptic. Really strange behaviour ...  :(

/edit:

Quote from: Jerry
Have you run: sudo apt-get install -f yet?

Yes, I did, thereby the buggy libcupsimage2-dev package will be removed (which I downloaded directly from your link)
Last Edit: April 19, 2018, 08:27:59 AM by r0th0m
 

Re: WiFi Printer HP DeskJet 2540
« Reply #6 on: April 19, 2018, 10:39:28 AM »
 

r0th0m

  • New to Forums
  • *
  • 4
    Posts
  • Country: de
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit
Problem solved thanks to the tireless help of Jerry. Thanks again, Jerry!
 

Re: WiFi Printer HP DeskJet 2540
« Reply #7 on: April 19, 2018, 10:44:46 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7907
    Posts
  • Country: nz
  • Reputation: 744
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.2 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
You are very welcome. For others that may visit the thread who own a HP 2540:

Code: [Select]
sudo apt-get install hplip hplip-gui
When the USB set up is complete, run the Wireless set up via the HP GUI, then to finish in the terminal:

Code: [Select]
hp-setup 192.168.1.55
or whatever ip address it tells you to use.
 


Tags: deskjet 2540 wifi 
 


Download Linux Lite 5.4 RC1 today - See Release Announcements